Status: Rejected Start date: February 27, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.8.2   

Description

I have an album that seems to confuse the Search Tool.

 Screenshot_2017-02-27_08-46-02.png 

As you can see, Reservoir Dogs is broken in two, and even that doesn't account for all the songs in the album. So when I

double-click on Reservoir Dogs I get a playlist of only 8 songs, instead of 16.

Here's a screenshot of the same folder in EasyTAG:

 Screenshot_2017-02-27_08-55-01.png 

History

#1 - February 27, 2017 14:45 - John Lindgren

- Status changed from New to Rejected

The library is divided first by artist, then by album.  That's why your seeing an album with multiple artists as multiple albums.

I realize this is not always ideal, but that's the design and I don't know of a good way around it.  We could merge every song with the same album

name into the same album, but then you'd have the opposite problem, i.e. your Elvis Presley "Top Ten Hits" and your Tim McGraw "Top Ten Hits"

would show up as a single album.

I'm open to suggestions on how to make this work better, but the forum is the place for that.  Not a bug.

#2 - February 27, 2017 22:34 - Liviu Andronic

John Lindgren wrote:

but then you'd have the opposite problem, i.e. your Elvis Presley "Top Ten Hits" and your Tim McGraw "Top Ten Hits" would show up as a single

album.

 

Yes, I see what you mean. I guess one way to deal with this would be to have a special flag in the parser that keeps track of which song is associated

with which album, in the specific case in which the album doesn't have a single artist (say, for each such album create a variable depending on album

name, number of tracks, genre and year: in most cases this should be sufficiently unique to rule out duplicates). You could even associate each

individual song with its specific folder / path, which would almost always guarantee to rule out crazy associations... Or simply use things similar to the

CDDB album hashes / IDs to uniquely identify each album and avoid any possible duplicates.

In any case, if I have any good ideas on this, I'll drop them on the forums.
#3 - February 15, 2019 14:21 - Jan Korbel

Hello.

Same problem here. It is NOT possible to search and play soundtrack album, because there are a few Artists.

I propose other possible solution - searching in directory names (or m3u playlists) too. They are probably in metadata.

Thx for player!
